#! /bin/bash 

# partition your device manually. 
# and mount it at /mnt

# wifi-menu

pacman -Syy

pacstrap /mnt base linux linux-firmware grub efibootmgr xorg leafpad vim git lxde lightdm lightdm-gtk-greeter lxde-common lxterminal lxsession openbox


genfstab -U /mnt >> /mnt/etc/fstab

arch-chroot /mnt

timedatectl set-timezone Europe/Vilnius

locale-gen
echo LANG=en_US.UTF-8 > /etc/locale.conf
export LANG=en_US.UTF-8

echo blue > /etc/hostname

echo "127.0.0.1	localhost" >> /etc/hosts
echo "::1		localhost" >> /etc/hosts
echo "127.0.1.1	blue" >> /etc/hosts

useradd -m blue

passwd

passwd blue




# mkdir /boot/efi

# mount /dev/sda1 /boot/efi

# grub-install --target=x86_64-efi --bootloader-id=GRUB --efi-directory=/boot/efi

# grub-mkconfig -o /boot/grub/grub.cfg

grub-install /dev/sda

grub-mkconfig -o /boot/grub/grub.cfg

systemctl enable lightdm

cd /opt 
git clone https://aur.archlinux.org/yay-git.git
sudo chown -R blue:blue ./yay-git
makepkg -si

exit

reboot